body {
  font-family: system-ui, sans-serif;
  background: #f5f5f5;
}

.recorder-container-1 {
  max-width: 900px;
  margin-bottom: 10px;
  background: #fff;
  padding: 20px;
  border-radius: 12px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  display: none;
}

.panel {
  border: 1px solid #ddd;
  border-radius: 10px;
  padding: 16px;
  text-align: center;
  display: none;
}

.panel h4 {
  margin-bottom: 0px;
}

.record-btn {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  border: none;
  background: #ff3b3b;
  cursor: pointer;
  margin: 8px;
}

.record-btn.recording {
  background: #999;
}

.stop-btn {
  padding: 8px 16px;
  border-radius: 20px;
  border: none;
  background: #222;
  color: #fff;
  cursor: pointer;
  margin-top: 6px;
}

.stop-btn:disabled {
  opacity: 0.4;
  cursor: not-allowed;
}

.timer {
  margin-top: 6px;
  font-size: 14px;
  color: #555;
}

audio {
  width: 100%;
  margin-top: 12px;
}

video {
  width: 100%;
  max-height: 100px;
  object-fit: cover;
  margin-top: 12px;
  border-radius: 8px;
}


.submit-audio-button,
.submit-video-button {
  background-color: rgb(151, 151, 151);
  color: white;
  border: none;
  padding: 7px 16px;
  margin-top: 5px;
  border-radius: 20px;
  cursor: not-allowed;

}

.active-button {
  background-color: rgb(51, 71, 220);
  cursor: pointer;
}


.audio-files-container {
  margin-bottom: 10px;
  max-width: 1200px;
}

.audio-container {
  display: flex;
  flex-direction: column;
  gap: 4px;
  background-color: #e6e5e5;
  border-radius: 4px;
  padding: 6px 10px;
  margin-bottom: 5px;
}

.audio-container p {
  font-size: 12px;
  color: rgb(65, 64, 64);
}

.audio-preview {
  display: flex;
  align-items: center;
  gap: 10px;
}



.predict-button ,
.lock-text-button,
.generate-button,
.remove-button {
  background-color: rgb(86, 139, 245);
  border: none;
  font-size: 14px;
  padding: 10px 16px;
  border-radius: 40px;
  cursor: pointer;
  transition: background-color 0.15s;
}

.predict-button:hover ,
.lock-text-button:hover{
  background-color: rgb(100, 147, 242);
}

.text-locked {
  background-color: rgb(86, 165, 86);
}

.predicted-text-box {
  background-color: white;
  color: rgb(91, 91, 91);
  height: 50px;
  flex: 1;
  border-radius: 4px;
  padding: 6px 10px;
  overflow: auto;
}

.generate-button {
  background-color: rgb(234, 149, 30);
  color: black;
}

.generate-button:hover {
  background-color: rgb(232, 120, 22);
}

.remove-button {
  background-color: rgb(219, 67, 67);
}

.remove-button:hover {
  background-color: rgb(235, 38, 38);
}

.audio-file {
  max-width: 300px;
  margin-top: 0px;
}

.show {
  display: flex;
}


@media (max-width: 640px) {
  .predict-button {
    display: none;
  }

  .predicted-text-box {
    display: none;
  }

  .lock-text-button {
    display: none;
  }

  .recorder-container {
    grid-template-columns: 1fr;
  }
}


.submit-file-message {
  font-size: 12px;
  margin-bottom: 16px;
  margin-top: 4px;
  display: none;
}

.success-color {
  color: green;
}

.failed-color {
  color: rgb(242, 73, 73);
}